
beholder = require 'lib.beholder.beholder'
tween = require 'lib.tween.tween'
require 'lib.middleclass.middleclass'

require 'src.input'
require 'src.game'
require 'src.gui'

dt = love.timer.getDelta()

function love.load()

  loadInput()
  loadGame()

end
function love.update(dt)

  tween.update(dt)
  updateGame(dt)

end
function love.draw()

  love.graphics.setColor(255,255,255)

  drawGame()
  drawGUI()

end