
require 'src.game.world'
require 'src.game.entities'
require 'src.game.controlled'
require 'src.game.camera'

function loadGame()

  loadWorld()
  loadEntities()
  loadControlled()
  loadGUI()
  loadCamera()

end
function updateGame(dt)

  updateInput(dt)
  updateCamera(dt)
  updateWorld(dt)
  updateEntities(dt)
  updateControlled(dt)
  updateGUI(dt)

end
function drawGame()

  Camera:attach()

  drawWorld()
  drawEntities()
  
  Camera:detach()
  
  drawGUI()

end