
mouse = {}

function loadInput()

  beholder.observe("KEYPRESS_UP", function(status) controlledUp = status end)
  beholder.observe("KEYPRESS_DOWN", function(status) controlledDown = status end)
  beholder.observe("KEYPRESS_LEFT", function(status) controlledLeft = status end)
  beholder.observe("KEYPRESS_RIGHT", function(status) controlledRight = status end)
  beholder.observe("MOUSE_1", function(status) mouseClickLeft = status end)

end
function updateInput(dt)

  mouse.x, mouse.y = love.mouse.getPosition()
  
end
function love.keypressed(key)
	if key == "w" then beholder.trigger("KEYPRESS_UP", true) end
	if key == "s" then beholder.trigger("KEYPRESS_DOWN", true) end
	if key == "a" then beholder.trigger("KEYPRESS_LEFT", true) end
	if key == "d" then beholder.trigger("KEYPRESS_RIGHT", true) end
  if key == "f11" then love.graphics.toggleFullscreen() end
end
function love.keyreleased(key)
	if key == "w" then beholder.trigger("KEYPRESS_UP", false) end
	if key == "s" then beholder.trigger("KEYPRESS_DOWN", false) end
	if key == "a" then beholder.trigger("KEYPRESS_LEFT", false) end
	if key == "d" then beholder.trigger("KEYPRESS_RIGHT", false) end
end
function love.mousepressed(x, y, button)
	if button == "l" then beholder.trigger("MOUSE_1", true) end
end
function love.mousereleased(x, y, button)
	if button == "l" then beholder.trigger("MOUSE_1", false) end
end